LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 07-28-2015, 02:59 PM   #1
aavi
LQ Newbie
 
Registered: Jul 2015
Posts: 22

Rep: Reputation: Disabled
mobiwan for ns-2.35


can i install mobiwan on ns-2.35 (ubuntu 14.04) ??
 
Old 07-28-2015, 03:45 PM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2020 CentOS6.10 CentOS7.7 + 50+ other Linux OS, for test only.
Posts: 17,402

Rep: Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611
Mobiwan-1, ns-2.35, any 'Linux OS'

$ tar xvf ns-allinone-2.35_gcc482.tar.gz
https://drive.google.com/file/d/0B7S...ew?usp=sharing
$ cd ns-allinone-2.35/
$ patch -p0 < mobiwan-1_ns235.patch
https://drive.google.com/file/d/0B7S...ew?usp=sharing
$ ./install
$ cd ns-2.35/
$ cp ns ns235-mobiwan
$ sudo cp ns235-mobiwan /usr/local/bin/
$ cd ../nam-1.15/
$ sudo make install

Simulation : $ ns235-mobiwan simple3_mipv6.tcl : OK.
$ nam out.nam : Also OK.

Simulation examples : mobiwan-examples.tar.gz
https://drive.google.com/file/d/0B7S...ew?usp=sharing


-

Last edited by knudfl; 07-28-2015 at 03:52 PM.
 
Old 07-28-2015, 03:50 PM   #3
aavi
LQ Newbie
 
Registered: Jul 2015
Posts: 22

Original Poster
Rep: Reputation: Disabled
thnks for yr Reply,,

and what about the version Of GCC in which Mobiwan wOrk Ok ??

Last edited by aavi; 07-28-2015 at 03:53 PM.
 
Old 07-28-2015, 03:59 PM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2020 CentOS6.10 CentOS7.7 + 50+ other Linux OS, for test only.
Posts: 17,402

Rep: Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611
Re #3.

GCC : Any version, 4.4.x ... 5.2.0 !

I.e. when no compiler is specified, the default "gcc/g++ 4.8.2" will be used (Ubuntu 14.04).
"ns-allinone-2.35_gcc482.tar.gz" is the `Nov 2014' update, to use any gcc`s 4.4.x ... 5.2.0
 
Old 07-28-2015, 04:06 PM   #5
aavi
LQ Newbie
 
Registered: Jul 2015
Posts: 22

Original Poster
Rep: Reputation: Disabled
Ok !!

i want to simulate Route optimization in Mobile ipv4 or ipv6... u have any idea aboout that...
and this my projct ... and i have only 2 weeks left for this work !!

after googling i reached that mobiwan is used to simulate Route optimization in ipv6 ,,
 
Old 07-28-2015, 04:12 PM   #6
aavi
LQ Newbie
 
Registered: Jul 2015
Posts: 22

Original Poster
Rep: Reputation: Disabled
Unhappy

Quote:
Originally Posted by knudfl View Post
$ tar xvf ns-allinone-2.35_gcc482.tar.gz
https://drive.google.com/file/d/0B7S...ew?usp=sharing
$ cd ns-allinone-2.35/
$ patch -p0 < mobiwan-1_ns235.patch
https://drive.google.com/file/d/0B7S...ew?usp=sharing
$ ./install
$ cd ns-2.35/
$ cp ns ns235-mobiwan
$ sudo cp ns235-mobiwan /usr/local/bin/
$ cd ../nam-1.15/
$ sudo make install

Simulation : $ ns235-mobiwan simple3_mipv6.tcl : OK.
$ nam out.nam : Also OK.

Simulation examples : mobiwan-examples.tar.gz
https://drive.google.com/file/d/0B7S...ew?usp=sharing


-
Dowloaded attachmnts Ok !!
if i follow these command tO install ns2.35 and mObiwan... it will be installed withOut any errors ??
m new On this
 
Old 07-28-2015, 06:10 PM   #7
aavi
LQ Newbie
 
Registered: Jul 2015
Posts: 22

Original Poster
Rep: Reputation: Disabled
hey Kundfl... !!

i followed the steps that u post above.. but it giving errors .

compilation terminated.
make: *** [tk3d.o] Error 1
tk8.5.10 make failed! Exiting ...
For problems with Tcl/Tk see http://www.scriptics.com

now tell me what to do ??
 
Old 07-29-2015, 06:22 AM   #8
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2020 CentOS6.10 CentOS7.7 + 50+ other Linux OS, for test only.
Posts: 17,402

Rep: Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611
Re #7.

You will of course have to install the ns2 build prerequisites,
before you start building anything :

$ sudo apt-get update
$ sudo apt-get install g++ autoconf libtool libxmu-dev xgraph


-
 
  


Reply

Tags
mobiwan, mobiwan ns235, ns2


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Mobiwan for NS2.29 yotta15 Linux - Newbie 1 07-28-2012 05:18 AM
ns-2.33 with mobiwan errors Riaz Khan Linux - Newbie 1 05-04-2012 05:34 AM
mobiwan and ns-2.33 problems simz Linux - Newbie 3 05-02-2012 09:11 AM
Mobiwan and NS 2.34 ? Augengrun Linux - Networking 16 04-01-2012 08:49 AM
Mobiwan for Ns2.33 bsyew Linux - Newbie 37 01-22-2012 05:16 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 05:49 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration